using XGame.Framework.Interfaces;

namespace XGame.Framework
{
    /// <summary>
    /// 事件基类
    ///     * 禁止将此类以及其派生类作为Map、Dictionary的key
    ///     * 禁止其派生类继承主域、热更域接口
    ///     * 只做事件参数上下文传输 (DTO)
    /// </summary>
    public abstract class EventArgs : IReference
    {
        void IReference.Clear()
        {
            OnClear();
        }
        protected abstract void OnClear();
    }
}
